package com.tanpu.community.api.beans.req.theme;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ApiModel(value = "转发主题")
public class ForwardThemeReq {

    @NotEmpty(message = "转发对象id不能为空")
    @ApiModelProperty(value = "转发的主题Id")
    private String formerThemeId;

    @NotNull(message = "内容不能为空")
    @ApiModelProperty(value = "转发的讨论内容")
    private List<ThemeContentReq> content;

    @ApiModelProperty(value = "话题Id")
    private String topicId;
}
